RDKit: RDKit::FPHolderBase Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::FPHolderBase Class Referenceabstract

Base FPI for the fingerprinter used to rule out impossible matches. More...

`#include <SubstructLibrary.h>`

Inheritance diagram for RDKit::FPHolderBase:

## Public Member Functions
virtual | ~FPHolderBase ()
virtual unsigned int | size () const
unsigned int | addMol (const ROMol &m)
| Adds a molecule to the fingerprinter.
unsigned int | addFingerprint (ExplicitBitVect *v)
unsigned int | addFingerprint (const ExplicitBitVect &v)
bool | passesFilter (unsigned int idx, const ExplicitBitVect &query) const
| Return false if a substructure search can never match the molecule.
const ExplicitBitVect & | getFingerprint (unsigned int idx) const
virtual ExplicitBitVect * | makeFingerprint (const ROMol &m) const =0
std::vector< ExplicitBitVect * > & | getFingerprints ()
const std::vector< ExplicitBitVect * > & | getFingerprints () const

## Detailed Description

Base FPI for the fingerprinter used to rule out impossible matches.

Definition at line 258 of file SubstructLibrary.h.

## Constructor & Destructor Documentation

## ◆ ~FPHolderBase()

virtual RDKit::FPHolderBase::~FPHolderBase | ( |  | ) |
| inlinevirtual

Definition at line 262 of file SubstructLibrary.h.

## Member Function Documentation

## ◆ addFingerprint() [1/2]

unsigned int RDKit::FPHolderBase::addFingerprint | ( | const ExplicitBitVect & | v | ) |
| inline

Adds a raw bit vector to the fingerprinter PLEASE NOTE: make sure that the passed ExplicitBitVect is compatible with the one generated by makeFingerprint()

Definition at line 287 of file SubstructLibrary.h.

References addFingerprint().

## ◆ addFingerprint() [2/2]

unsigned int RDKit::FPHolderBase::addFingerprint | ( | ExplicitBitVect * | v | ) |
| inline

Adds a raw bit vector pointer to the fingerprinter, which takes ownership PLEASE NOTE: make sure that the passed ExplicitBitVect is compatible with the one generated by makeFingerprint()

Definition at line 279 of file SubstructLibrary.h.

References rdcast.

Referenced by addFingerprint().

## ◆ addMol()

unsigned int RDKit::FPHolderBase::addMol | ( | const ROMol & | m | ) |
| inline

Adds a molecule to the fingerprinter.

Definition at line 271 of file SubstructLibrary.h.

References makeFingerprint(), and rdcast.

## ◆ getFingerprint()

const ExplicitBitVect & RDKit::FPHolderBase::getFingerprint | ( | unsigned int | idx | ) | const
| inline

Get the bit vector at the specified index (throws IndexError if out of range)

Definition at line 302 of file SubstructLibrary.h.

## ◆ getFingerprints() [1/2]

std::vector< ExplicitBitVect * > & RDKit::FPHolderBase::getFingerprints | ( |  | ) |
| inline

Definition at line 313 of file SubstructLibrary.h.

## ◆ getFingerprints() [2/2]

const std::vector< ExplicitBitVect * > & RDKit::FPHolderBase::getFingerprints | ( |  | ) | const
| inline

Definition at line 314 of file SubstructLibrary.h.

## ◆ makeFingerprint()

virtual ExplicitBitVect * RDKit::FPHolderBase::makeFingerprint | ( | const ROMol & | m | ) | const
| pure virtual

make the query vector Caller owns the vector!

Implemented in RDKit::PatternHolder, and RDKit::TautomerPatternHolder.

Referenced by addMol().

## ◆ passesFilter()

bool RDKit::FPHolderBase::passesFilter | ( | unsigned int | idx,
|  | const ExplicitBitVect & | query ) const
| inline

Return false if a substructure search can never match the molecule.

Definition at line 292 of file SubstructLibrary.h.

References AllProbeBitsMatch().

## ◆ size()

virtual unsigned int RDKit::FPHolderBase::size | ( |  | ) | const
| inlinevirtual

Definition at line 268 of file SubstructLibrary.h.

References rdcast.

The documentation for this class was generated from the following file:

- SubstructLibrary.h